org.apache.xerces.parsers

## Class XPointerParserConfiguration

- java.lang.Object
- - org.apache.xerces.util.ParserConfigurationSettings
  - - org.apache.xerces.parsers.XML11Configuration
    - - org.apache.xerces.parsers.XPointerParserConfiguration

- All Implemented Interfaces:
    XML11Configurable, org.apache.xerces.xni.parser.XMLComponentManager, org.apache.xerces.xni.parser.XMLParserConfiguration, org.apache.xerces.xni.parser.XMLPullParserConfiguration

      public class XPointerParserConfiguration
      extends XML11Configuration

  This parser configuration includes an `XPointerHandler` in the pipeline before the schema validator, or as the last component in the pipeline if there is no schema validator. Using this pipeline will enable processing according to the XML Inclusions specification with XPointers, to the conformance level described in `XPointerHandler.`.
  See Also:
    `XPointerHandler`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ALLOW_UE_AND_NOTATION_EVENTS` Feature identifier: allow notation and unparsed entity events to be sent out of order.
    `protected static java.lang.String` | `NAMESPACE_CONTEXT` Property identifier: error reporter.
    `protected static java.lang.String` | `XINCLUDE_FIXUP_BASE_URIS` Feature identifier: fixup base URIs.
    `protected static java.lang.String` | `XINCLUDE_FIXUP_LANGUAGE` Feature identifier: fixup language.
    `protected static java.lang.String` | `XINCLUDE_HANDLER` Property identifier: error reporter.
    `protected static java.lang.String` | `XPOINTER_HANDLER` Property identifier: error reporter.

    - ### Fields inherited from class org.apache.xerces.parsers.XML11Configuration

      `ALLOW_JAVA_ENCODINGS, ASSERT_COMMENT_PI_CHECKING, CONTINUE_AFTER_FATAL_ERROR, CTA_FULL_XPATH_CHECKING, DATATYPE_VALIDATOR_FACTORY, DOCUMENT_SCANNER, DTD_PROCESSOR, DTD_SCANNER, DTD_VALIDATOR, ENTITY_MANAGER, ENTITY_RESOLVER, ERROR_HANDLER, ERROR_REPORTER, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, fCommonComponents, fComponents, fConfigUpdated, fCurrentDTDScanner, fCurrentDVFactory, fCurrentScanner, fDatatypeValidatorFactory, fDocumentHandler, fDTDContentModelHandler, fDTDHandler, fDTDProcessor, fDTDScanner, fDTDValidator, fEntityManager, fErrorReporter, fGrammarPool, fInputSource, fLastComponent, fLocale, fNamespaceScanner, fNonNSDTDValidator, fNonNSScanner, fParseInProgress, fSchemaValidator, fSymbolTable, fValidationManager, fVersionDetector, fXML11Components, fXML11DatatypeFactory, fXML11DocScanner, fXML11DTDProcessor, fXML11DTDScanner, fXML11DTDValidator, fXML11NSDocScanner, fXML11NSDTDValidator, GENERATE_SYNTHETIC_ANNOTATIONS, HONOUR_ALL_SCHEMALOCATIONS, ID_IDREF_CHECKING, IDENTITY_CONSTRAINT_CHECKING, IGNORE_XSI_TYPE, JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, LOAD_EXTERNAL_DTD, LOCALE, NAMESPACE_BINDER, NAMESPACE_GROWTH, NAMESPACES, NORMALIZE_DATA, NOTIFY_BUILTIN_REFS, NOTIFY_CHAR_REFS, PRINT_EXCEPTION_STACK_TRACE, ROOT_ELEMENT_DECL, ROOT_TYPE_DEF, SCHEMA_AUGMENT_PSVI, SCHEMA_DV_FACTORY, SCHEMA_ELEMENT_DEFAULT, SCHEMA_LOCATION, SCHEMA_NONS_LOCATION, SCHEMA_VALIDATOR, SYMBOL_TABLE, TOLERATE_DUPLICATES, TYPE_ALTERNATIVES_CHECKING, UNPARSED_ENTITY_CHECKING, USE_GRAMMAR_POOL_ONLY, VALIDATE_ANNOTATIONS, VALIDATION, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF, WARN_ON_DUPLICATE_ENTITYDEF, WARN_ON_UNDECLARED_ELEMDEF, XML_STRING, XML11_DATATYPE_VALIDATOR_FACTORY, XMLGRAMMAR_POOL, XMLSCHEMA_FULL_CHECKING, XMLSCHEMA_VALIDATION`

    - ### Fields inherited from class org.apache.xerces.util.ParserConfigurationSettings

      `fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties, PARSER_SETTINGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPointerParserConfiguration()` Default constructor.
    `XPointerParserConfiguration(SymbolTable symbolTable)` Constructs a parser configuration using the specified symbol table.
    `XPointerParserConfiguration(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)` Constructs a parser configuration using the specified symbol table and grammar pool.
    `XPointerParserConfiguration(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool, org.apache.xerces.xni.parser.XMLComponentManager parentSettings)` Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configurePipeline()` Configures the pipeline.
    `protected void` | `configureXML11Pipeline()` Configures the XML 1.1 pipeline.
    `void` | `setProperty(java.lang.String propertyId, java.lang.Object value)` setProperty

    - ### Methods inherited from class org.apache.xerces.parsers.XML11Configuration

      `addCommonComponent, addComponent, addRecognizedParamsAndSetDefaults, addXML11Component, checkFeature, checkProperty, cleanup, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getLocale, getProperty, parse, parse, reset, resetCommon, resetXML11, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setInputSource, setLocale`

    - ### Methods inherited from class org.apache.xerces.util.ParserConfigurationSettings

      `addRecognizedFeatures, addRecognizedProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xerces.xni.parser.XMLParserConfiguration

      `addRecognizedFeatures, addRecognizedProperties`

- - ### Field Detail

    - #### ALLOW_UE_AND_NOTATION_EVENTS

          protected static final java.lang.String ALLOW_UE_AND_NOTATION_EVENTS

      Feature identifier: allow notation and unparsed entity events to be sent out of order.
      See Also:
        Constant Field Values

    - #### XINCLUDE_FIXUP_BASE_URIS

          protected static final java.lang.String XINCLUDE_FIXUP_BASE_URIS

      Feature identifier: fixup base URIs.
      See Also:
        Constant Field Values

    - #### XINCLUDE_FIXUP_LANGUAGE

          protected static final java.lang.String XINCLUDE_FIXUP_LANGUAGE

      Feature identifier: fixup language.
      See Also:
        Constant Field Values

    - #### XPOINTER_HANDLER

          protected static final java.lang.String XPOINTER_HANDLER

      Property identifier: error reporter.
      See Also:
        Constant Field Values

    - #### XINCLUDE_HANDLER

          protected static final java.lang.String XINCLUDE_HANDLER

      Property identifier: error reporter.
      See Also:
        Constant Field Values

    - #### NAMESPACE_CONTEXT

          protected static final java.lang.String NAMESPACE_CONTEXT

      Property identifier: error reporter.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XPointerParserConfiguration

          public XPointerParserConfiguration()

      Default constructor.

    - #### XPointerParserConfiguration

          public XPointerParserConfiguration(SymbolTable symbolTable)

      Constructs a parser configuration using the specified symbol table.
      Parameters:
        `symbolTable` - The symbol table to use.

    - #### XPointerParserConfiguration

          public XPointerParserConfiguration(SymbolTable symbolTable,
                                     org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)

      Constructs a parser configuration using the specified symbol table and grammar pool.

      Parameters:
        `symbolTable` - The symbol table to use.
        `grammarPool` - The grammar pool to use.

    - #### XPointerParserConfiguration

          public XPointerParserConfiguration(SymbolTable symbolTable,
                                     org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool,
                                     org.apache.xerces.xni.parser.XMLComponentManager parentSettings)

      Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

      Parameters:
        `symbolTable` - The symbol table to use.
        `grammarPool` - The grammar pool to use.
        `parentSettings` - The parent settings.

  - ### Method Detail

    - #### configurePipeline

          protected void configurePipeline()

      Configures the pipeline.
      Overrides:
        `configurePipeline` in class `XML11Configuration`

    - #### configureXML11Pipeline

          protected void configureXML11Pipeline()

      Description copied from class: `XML11Configuration`
      Configures the XML 1.1 pipeline. Note: this method also resets the new XML11 components.
      Overrides:
        `configureXML11Pipeline` in class `XML11Configuration`

    - #### setProperty

          public void setProperty(java.lang.String propertyId,
                         java.lang.Object value)
                           throws org.apache.xerces.xni.parser.XMLConfigurationException

      Description copied from class: `XML11Configuration`
      setProperty
      Specified by:
        `setProperty` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
      Overrides:
        `setProperty` in class `XML11Configuration`
      Parameters:
        `propertyId` - The property identifier.
        `value` - The value of the property.
      Throws:
        `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown if there is a configuration error.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.